# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-11-13 16:36
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import django_extensions.db.fields
import mptt.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', models.SlugField(help_text="Used to build the category's URL.", max_length=255, unique=True, verbose_name='slug')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('lft', models.PositiveIntegerField(db_index=True, editable=False)),
                ('rght', models.PositiveIntegerField(db_index=True, editable=False)),
                ('tree_id', models.PositiveIntegerField(db_index=True, editable=False)),
                ('level', models.PositiveIntegerField(db_index=True, editable=False)),
                ('parent', mptt.fields.TreeForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='children', to='product_catalog.Category', verbose_name='parent category')),
            ],
            options={
                'ordering': ['title'],
                'verbose_name': 'category',
                'verbose_name_plural': 'categories',
            },
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('slug', django_extensions.db.fields.AutoSlugField(blank=True, editable=False, max_length=255, populate_from=[b'title', b'id'], unique=True, verbose_name='slug')),
                ('creation_date', models.DateTimeField(default=django.utils.timezone.now, verbose_name='creation date')),
                ('last_update', models.DateTimeField(auto_now=True, verbose_name='last update')),
                ('status', models.IntegerField(choices=[(0, 'draft'), (1, 'hidden'), (2, 'published')], db_index=True, default=2, verbose_name='status')),
                ('start_publication', models.DateTimeField(blank=True, help_text='Start date of publication.', null=True, verbose_name='start publication')),
                ('end_publication', models.DateTimeField(blank=True, help_text='End date of publication.', null=True, verbose_name='end publication')),
                ('excerpt', models.TextField(blank=True, help_text='Max length: 70 characters', max_length=70, verbose_name='excerpt')),
                ('content', models.TextField(blank=True, verbose_name='content')),
                ('image', models.ImageField(blank=True, upload_to=b'uploads/product_catalog/%Y/%m/%d/', verbose_name='image')),
                ('image_caption', models.CharField(blank=True, help_text="Image's caption.", max_length=250, verbose_name='caption')),
                ('categories', models.ManyToManyField(blank=True, related_name='products', to='product_catalog.Category', verbose_name='categories')),
                ('owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='products', to=settings.AUTH_USER_MODEL, verbose_name='owner')),
            ],
            options={
                'get_latest_by': 'creation_date',
                'ordering': ['-creation_date'],
                'abstract': False,
                'verbose_name_plural': 'products',
                'verbose_name': 'product',
            },
        ),
    ]
